/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.courses-display-block .heading-container {
  display: grid;
  grid-template-columns: 1.7fr 1fr;
  margin: 0 0 10.4rem;
  gap: 2.4rem;
}
.courses-display-block .topheading {
  grid-column: 1/-1;
  color: #892DB3;
}
.courses-display-block .courses-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2.4rem;
}
.courses-display-block .course-item .icon {
  margin: 0 0 2.4rem;
}
.courses-display-block .course-item .icon img {
  aspect-ratio: 1/1;
  max-width: 4.8rem;
  object-fit: contain;
}
.courses-display-block .course-item .course-text {
  margin: 1.6rem 0 0;
}
.courses-display-block .course-item .course-link {
  color: #1D1F1F;
  display: flex;
  align-items: center;
  gap: 0.4rem;
  font-size: 1.6rem;
  margin: 2.4rem 0 0;
  transition: color 0.2s ease-in-out;
}
.courses-display-block .course-item .course-link:hover {
  color: #892DB3;
}
.courses-display-block .course-item .course-link:hover svg path {
  fill: #892DB3;
}
.courses-display-block .course-item .course-link span {
  text-decoration: underline;
  font-style: normal;
  font-weight: 600;
  line-height: 150%; /* 24px */
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: auto;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
}
.courses-display-block .course-item .course-link svg path {
  transition: fill 0.2s ease-in-out;
}

@media (max-width: 1200px) {
  .courses-display-block .courses-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 768px) {
  .courses-display-block .heading-container {
    grid-template-columns: 1fr;
    margin: 0 0 4.8rem;
    gap: 1.6rem;
  }
  .courses-display-block .heading-container .text {
    margin: 0.8rem 0 0;
  }
  .courses-display-block .courses-grid {
    grid-template-columns: 1fr;
    gap: 6.4rem;
  }
}